function mostrar_datos_entidad() {
    let id = 1;
    $.ajax({
        url: "../controller/entidad/controller_traer_entidad.php",
        type: 'POST',
        data: {
            id: id
        }
    }).done(function (resp) {
        data = JSON.parse(resp);
        if (data.data.length > 0) {
            document.getElementById('txt_nombreentidad').value = data.data[0]['emp_razon'];
            document.getElementById('txt_correoentidad').value = data.data[0]['emp_email'];
            document.getElementById('txt_telefonoentidad').value = data.data[0]['emp_telefono'];
            document.getElementById('txt_rucentidad').value = data.data[0]['emp_code'];
            document.getElementById('txt_direccionentidad').value = data.data[0]['emp_direccion'];
        }
    });
}
function Guardar_Cambios_Entidad() {
    let id = 1;
    let txt_nombreentidad = document.getElementById('txt_nombreentidad').value;
    let txt_correoentidad = document.getElementById('txt_correoentidad').value;
    let txt_telefonoentidad = document.getElementById('txt_telefonoentidad').value;
    let txt_rucentidad = document.getElementById('txt_rucentidad').value;
    let txt_direccionentidad = document.getElementById('txt_direccionentidad').value;

    let arc = document.getElementById('txt_logoentidad').value;

    if (txt_nombreentidad.length == 0 || txt_correoentidad.length == 0 || txt_telefonoentidad.length == 0 || txt_rucentidad.length == 0 || txt_direccionentidad.length == 0) {
        return Swal.fire('Mensaje de Advertencia', 'Alguno de los campos estan vacios', 'warning');
    }
    if (validar_email(txt_correoentidad)) {

    } else {
        return Swal.fire("Mensaje de Advetencia", "Formato de Email Incorrecto", "warning");
    }
    let formData = new FormData();
    let extension = arc.split('.').pop();
    let nombrearchivo = "";
    let f = new Date();
    if (arc.length > 0) {
        nombrearchivo = "ARCH" + f.getDate() + "" + (f.getMonth() + 1) + "" + f.getFullYear() + "" + f.getHours() + "" + f.getMilliseconds() + "." + extension;
    }
    let archivoobj = $("#txt_logoentidad")[0].files[0];

    formData.append("id", id);
    formData.append("txt_nombreentidad", txt_nombreentidad);
    formData.append("txt_correoentidad", txt_correoentidad);
    formData.append("txt_telefonoentidad", txt_telefonoentidad);
    formData.append("txt_rucentidad", txt_rucentidad);
    formData.append("txt_direccionentidad", txt_direccionentidad);
    formData.append("nombrearchivo", nombrearchivo);
    formData.append("archivoobj", archivoobj);

    $.ajax({
        url: "../controller/entidad/controller_modificar_entidad.php",
        type: 'POST',
        data: formData,
        contentType: false,
        processData: false
    }).done(function (resp) {
        if (resp == 1) {
            Swal.fire('Mensaje de Confirmacion', 'Datos de la Entidad Correctamente Actualizados', 'success').then(function () {
                document.getElementById('txt_logoentidad').value = '';
                mostrar_datos_entidad();

            });
        }

    });
}
///////VALIDAR EMAIL
function validar_email(email) {
    var regex = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
    return regex.test(email) ? true : false;
}
function mostrar_datos_emmpresa_exterior() {
    let id = 1;
    $.ajax({
        url: "controller/entidad/controller_traer_entidad.php",
        type: 'POST',
        data: {
            id: id
        }
    }).done(function (resp) {
        data = JSON.parse(resp);
        if (data.data.length > 0) {
            document.getElementById('logo_header').src = data.data[0]['emp_logo'];
            document.getElementById("icon_pestaña").href = data.data[0]['emp_logo'];
            let texto = data.data[0]['emp_razon'];
            let textoFormateado = texto.toLowerCase().replace(/\b\w/g, c => c.toUpperCase());
            let dato = new Date();
            let year = dato.getFullYear();
            document.getElementById("lbl_footer").innerHTML = textoFormateado;
            document.getElementById("lbl_year").innerHTML = 'Copyright © ' + year;

        }
    });

}
function mostrar_datos_emmpresa_interior() {
    let id = 1;
    $.ajax({
        url: "../controller/entidad/controller_traer_entidad.php",
        type: 'POST',
        data: {
            id: id
        }
    }).done(function (resp) {
        data = JSON.parse(resp);
        if (data.data.length > 0) {
            document.getElementById('logo_header').src = '../' + data.data[0]['emp_logo'];
            document.getElementById("icon_pestaña").href = '../' + data.data[0]['emp_logo'];

        }
    });

}
function mostrar_datos_emmpresa_exterior_login() {
    let id = 1;
    $.ajax({
        url: "controller/entidad/controller_traer_entidad.php",
        type: 'POST',
        data: {
            id: id
        }
    }).done(function (resp) {
        data = JSON.parse(resp);
        if (data.data.length > 0) {

            document.getElementById("icon_pestaña").href = data.data[0]['emp_logo'];

        }
    });

}

function mostrar_comunicado_externo() {
    $.ajax({
        "url": "controller/inicio/controller_traer_comunicado_externo.php",
        type: 'POST',
    }).done(function (resp) {
        let data = JSON.parse(resp);

        // función para mostrar alertas de forma consecutiva
        function mostrarAlertas(i) {
            if (i < data.length) {
                Swal.fire({
                    title: 'COMUNICADO',
                    html:
                        '<div style="text-align: justify;font-size:14px">' + data[i]["comu_detalle"] + '</div><br>' +
                        '<div style="text-align: left;font-size:14px">' + '<b>Fecha Creacion: </b>' + data[i]["comu_fecharegistro"] + '</div>',
                    showClass: {
                        popup: 'animate__animated animate__fadeInDown'
                    },
                    hideClass: {
                        popup: 'animate__animated animate__fadeOutUp'
                    }
                }).then((value) => {
                    mostrarAlertas(i + 1);
                })

            }

        }

        if (data.length > 0) {
            mostrarAlertas(0); // empezar a mostrar las alertas desde la primera
        }



    })
}